Claim conversation

PUT
/v1/conversations/{conversationId}/claim

Claim a conversation for a given agent. To avoid taking over assigned conversations, set the force paremeter to false

Authorization

ApiKeyAuth conversation.claim
headerAuthorization<token>

Scope: conversation.claim

Path Parameters

conversationId*integer
Formatint64

Request Body

application/json
  1. body
agentId*string

The id of the agent who is claiming the conversation

Formatuuid
force?boolean

Set as false to avoid taking over the conversation if it is already assigned to an agent

Response Body

The conversation was successfully claimed

Example Request
curl -X PUT 'https://dev.dixa.io/v1/conversations/{conversationId}/claim' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "agentId": "5a556159-9c21-4f3e-a44f-d323deb80d16",  "force": false}'

Empty